import { ProviderConstraint } from "./dependency-manager";
export declare function resetFetchCache(): Promise<void>;
export declare function getNpmPackageName(constraint: ProviderConstraint): Promise<string | undefined>;
declare type PrebuiltProviderVersion = {
    packageVersion: string;
    providerVersion: string;
    cdktfPeerDependencyConstraint: string;
};
export declare function getPrebuiltProviderRepositoryName(packageName: string): Promise<string>;
export declare function getAllPrebuiltProviderVersions(packageName: string): Promise<PrebuiltProviderVersion[]>;
export declare function getPrebuiltProviderVersions(constraint: ProviderConstraint, cdktfVersion: string): Promise<string[] | null>;
export {};
